function _extends() {
  _extends = Object.assign ? Object.assign.bind() : function(target) {
    for (var i = 1; i < arguments.length; i++) {
      var source = arguments[i];
      for (var key in source) {
        if (Object.prototype.hasOwnProperty.call(source, key)) {
          target[key] = source[key];
        }
      }
    }
    return target;
  };
  return _extends.apply(this, arguments);
}
import { defineComponent, $prefix, $props, $setup } from "@dftvue2-opentiny/vue-common";
import PcTemplate from "./pc.js";
import "@dftvue2-opentiny/vue-theme/espace/index.css";
var template = function template2(mode) {
  return PcTemplate;
};
var Espace = defineComponent({
  name: $prefix + "Espace",
  props: _extends({}, $props, {
    data: Array,
    isNewImMode: {
      type: Boolean,
      default: true
    }
  }),
  setup: function setup(props, context) {
    return $setup({
      props,
      context,
      template
    });
  }
});
var version = "2.8.0";
Espace.install = function(Vue) {
  Vue.component(Espace.name, Espace);
};
Espace.version = version;
export {
  Espace as default
};
